import Detector from './Detector';
/**
 * Navigator detector try load locales from browser navigator variable.
 */
export default class NavigatorDetector extends Detector {
    private navigator;
    /**
     * On default languages are loaded from window.navigator
     *
     * @param {Navigator} navigator - browser navigator variable
     */
    constructor(navigator?: Navigator);
    /**
     * Get list of locales.
     *
     * @returns {Array<string>} list of locales from browser
     */
    getLocales(): string[];
}
