import Detector from './Detector';
/**
 * This detector load locales from GET parameters. The value should be locale separated list.
 */
export default class UrlDetector extends Detector {
    private location;
    private parameter;
    /**
     * Constructor
     *
     * @param {string} parameter - Which parameter to look for.
     * @param {Location} location - window.location is used on default
     */
    constructor(parameter: string, location?: Location);
    /**
     * Get list of locales from browser url.
     *
     * @returns {Array<string>} list of locales
     */
    getLocales(): string[];
}
