import Transformer from './Transformer';
/**
 * This transformer convert locales to standard IETF language tag.
 */
export default class IETFTransformer extends Transformer {
    private localeSeparator;
    /**
     * Constructor.
     *
     * @param {string} localeSeparator - how is locales parts separated
     */
    constructor(localeSeparator?: string);
    /**
     * Convert locales to standard IETF language tag.
     *
     * @param {Array<string>} locales - list of locales
     * @returns {Array<string>} list of transformed locales
     */
    transform(locales: string[]): string[];
}
